package website.quiz;

import java.util.List;
import java.util.ArrayList;

public class Quiz {
    private int maxTries;
    private List<QuizQuestion> questions;
    private int questionIndex;
    private boolean wrong;
    private int numTries;
    private Integer answer;
    public Quiz() {
        questionIndex = 0;
        numTries = 0;
    }
    public int getMaxTries() {
        return maxTries;
    }
    public void setMaxTries(int maxTries) {
        this.maxTries = maxTries;
    }
    public void setQuestions(List<QuizQuestion> questions) {
        this.questions = questions;
    }
    public int getNumQuestions() {
        return questions.size();
    }
    public QuizQuestion getQuestion() {
        return questions.get(questionIndex);
    }
    public int getQuestionIndex() {
        return questionIndex;
    }
    public boolean getWrong() {
        return wrong;
    }
    public Integer getAnswer() {
        return null;
    }
    public void setAnswer(Integer answer) {
        this.answer = answer;
    }
    public String answerQuestion() {
        if(questions.get(questionIndex).getAnswer() == answer.intValue()) {
            questionIndex++;
            if(questionIndex >= questions.size()) {
                return "/completed.jsp";
            } else {
                wrong = false;
                return "/quiz.jsp";
            }
        } else {
            numTries++;
            if(numTries >= maxTries) {
                return "/failed.jsp";
            } else {
                wrong = true;
                return "/quiz.jsp";
            }
        }
    }
}
